Subject: Re: linux-next: net/kbuild trees build failure

From: Michal Marek <[email-masked]>
Date: Mon, 07 Dec 2009 13:22:50 +0100

On 7.12.2009 12:41, Sam Ravnborg wrote:
> On Mon, Dec 07, 2009 at 08:03:17PM +1100, Stephen Rothwell wrote:
>> Hi Dave,
>>
>> Today's linux-next build (powerpc allyesconfig) failed like this:
>>
>> In file included from drivers/net/wireless/iwlwifi/iwl3945-base.c:57:
>> drivers/net/wireless/iwlwifi/iwl-core.h:66:30: error: linux/utsrelease.h: No such file or directory
>>
>> Caused by commit 250cce26d5d03337aec4ff8405121f026adb4a89 ("iwlwifi:
>> driver version track kernel version") from the net tree interacting with
>> commit 8e5c76aace9705b6983cfbf5eb2f2e869dab6738 ("kbuild: move
>> utsrelease.h to include/generated") from the kbuild tree.
>>
>> I applied this patch for today (and will carry it as necessary):
> 
> The right fix would be to use 'utsname()->sysname' (I think sysname
> is the right member).

->release would be the right one. One could also question why iwlwifi
needs to repeat the kernel version it was built / is running against,
but I that's not the point here :). Dave, John, can we agree that
whichever tree gets merged first, the other tree applies the one-liner?

Thanks!
Michal